ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package projections
  Definition Classes
    adam
- AlignmentField
- DbxrefField
- FeatureField
- FieldEnumeration
- FieldValue
- Filter
- FragmentField
- GenotypeField
- OntologyTermField
- Projection
- ReadField
- ReadGroupField
- ReferenceField
- SampleField
- SequenceField
- SliceField
- TranscriptEffectField
- VariantAnnotationField
- VariantCallingAnnotationsField
- VariantField

o

org.bdgenomics.adam.projections

# Filter 

###

#### object Filter

Helper object to create a projection that excludes fields from a schema.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Filter
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(excludeFields: FieldValue*): Schema

   Creates a projection that excludes fields from a schema.

   Creates a projection that excludes fields from a schema.

   returns

     Returns the specified schema with the fields predicated out.

   Note

     The schema is inferred from the provided FieldValues. Undefined behavior may result if you provide FieldValues from multiple different FieldEnumerations.

     ,

     Unlike the apply methods in Projection, this method will allow you to project down to zero fields, which may cause an exception when loading from disk.

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
18.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped